> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateStateRegistrationInfo

> 
The `updateStateRegistrationInfo` API updates state registration information for a company to maintain payroll tax compliance.

### What it does:
- Updates state-specific registration fields

### Note:
- To retrieve the required fields for a given state use the `getStateRegistrationFields` API



## OpenAPI

````yaml put /adminPortal/updateStateRegistrationInfo
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/updateStateRegistrationInfo:
    put:
      tags: []
      summary: updateStateRegistrationInfo
      description: >-

        The `updateStateRegistrationInfo` API updates state registration
        information for a company to maintain payroll tax compliance.


        ### What it does:

        - Updates state-specific registration fields


        ### Note:

        - To retrieve the required fields for a given state use the
        `getStateRegistrationFields` API
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateStateRegistration
                companyId:
                  type: string
                code:
                  type: string
                companyStateRegistration:
                  type: object
                  properties:
                    UI Account Number:
                      type: string
                    Unemployment Rate:
                      type: string
              required:
                - method
                - companyId
                - code
                - companyStateRegistration
            example:
              method: updateStateRegistrationInfo
              companyId: 962D5035-6F51-41D3-94E8-1BF7A00955CF
              code: AK
              companyStateRegistration:
                UI Account Number: '741258052'
                Unemployment Rate: '3.0'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - status
                  - message
              examples:
                '1':
                  summary: Success
                  value:
                    status: Success
                    message: >-
                      The Company State Registrations have been updated
                      successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: State Code is not valid
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````